BFGS< FunctorType >::Parameters Struct Reference

`#include <pcl/registration/bfgs.h>`

## Public Member Functions

| Parameters ()

## Public Attributes

Index | max_iters
Index | bracket_iters
Index | section_iters
Scalar | rho
Scalar | sigma
Scalar | tau1
Scalar | tau2
Scalar | tau3
Scalar | step_size
Index | order

## Detailed Description

### template<typename FunctorType>
struct BFGS< FunctorType >::Parameters

Definition at line 124 of file bfgs.h.

## Constructor & Destructor Documentation

## Parameters()

template<typename FunctorType>

BFGS< FunctorType >::Parameters::Parameters | ( |  | ) |

inline

Definition at line 125 of file bfgs.h.

## Member Data Documentation

## bracket_iters

template<typename FunctorType>

Index BFGS< FunctorType >::Parameters::bracket_iters

Definition at line 137 of file bfgs.h.

## max_iters

template<typename FunctorType>

Index BFGS< FunctorType >::Parameters::max_iters

Definition at line 136 of file bfgs.h.

## order

template<typename FunctorType>

Index BFGS< FunctorType >::Parameters::order

Definition at line 145 of file bfgs.h.

## rho

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::rho

Definition at line 139 of file bfgs.h.

## section_iters

template<typename FunctorType>

Index BFGS< FunctorType >::Parameters::section_iters

Definition at line 138 of file bfgs.h.

## sigma

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::sigma

Definition at line 140 of file bfgs.h.

## step_size

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::step_size

Definition at line 144 of file bfgs.h.

## tau1

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::tau1

Definition at line 141 of file bfgs.h.

## tau2

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::tau2

Definition at line 142 of file bfgs.h.

## tau3

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::tau3

Definition at line 143 of file bfgs.h.

The documentation for this struct was generated from the following file:

- pcl/registration/bfgs.h